Mobile Management - EAS Policy creation results in powershell error

Article:TECH145724  |  Created: 2010-12-07  |  Updated: 2013-09-09  |  Article URL http://www.symantec.com/docs/TECH145724
Article Type
Technical Solution


Issue



When trying to create an EAS policy we get the following message:

Error in getting policies:System.Web.Services.Protocols.SoapException: No snap-ins have been registered for Windows PowerShell version 2. at Odyssey.Athena.Web.Services.AthenaEasPolicyWebService.GetPolicies()

Powershell 2.0 is installed, as are all of the pre requisites.

Exchange Mgmt tools are also installed on the Altiris box, and all of the ActiveSync pre-requisites are installed.

 


Error



Error in getting policies:System.Web.Services.Protocols.SoapException: No snap-ins have been registered for Windows PowerShell version 2. at Odyssey.Athena.Web.Services.AthenaEasPolicyWebService.GetPolicies()

 


Environment



Exchange 2003


Cause



Exchange 2003 and Exchange 2007 RTM are not supported.


Solution



Upgrade Exchange Server. The following versions are supported: 

 

Exchange (ActiveSync) Integration Prerequisites:
 

- Microsoft Exchange 2007 (SP1 or SP2) or Microsoft Exchange 2010 
- Note: Exchange 2003 and Exchange 2007 RTM are not supported. The minimum version is Exchange 2007 SP1


http://www.symantec.com/business/support/resources/sites/BUSINESS/content/staging/DOCUMENTATION/3000/DOC3225/en_US/1.0/Mobile_management_exchange_active_sync.pdf
(Page 6+)




Article URL http://www.symantec.com/docs/TECH145724


Terms of use for this information are found in Legal Notices